#include <iostream>
#include <string>
#include <vector>
#include <algorithm>
using namespace std;
int main()
{  
    int n,m,k;
    cin>>n>>m>>k;
    if(n%k==0&&m%k==0)
    cout<<n/k*m/k;
    else if(n%k==0&&m%k!=0)
    cout<<n/k*m/k+n/k;
    else if(n%k!=0&&m%k==0)
    cout<<n/k*m/k+m/k;
}